Package org.pushingpixels.substance.internal.utils.menu

# Class MenuUtilities.MenuLayoutInfo

java.lang.Object
org.pushingpixels.substance.internal.utils.menu.MenuUtilities.MenuLayoutInfo

Enclosing class:
  `MenuUtilities`

public static class MenuUtilities.MenuLayoutInfo extends Object
Layout information for a single menu item.

## Field Summary

Fields
Modifier and Type
Field
Description
`Rectangle`
`acceleratorRect`
Accelerator rectangle.
`Rectangle`
`arrowIconRect`
Arrow icon rectangle.
`Rectangle`
`checkIconRect`
Check icon rectangle.
`Rectangle`
`iconRect`
Icon rectangle.
`String`
`text`
Menu item text.
`Rectangle`
`textRect`
Text rectangle.
`Rectangle`
`viewRect`
View rectangle.

## Constructor Summary

Constructors
Constructor
Description
`MenuLayoutInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### viewRect

public Rectangle viewRect
View rectangle.

### iconRect

public Rectangle iconRect
Icon rectangle.

### checkIconRect

public Rectangle checkIconRect
Check icon rectangle.

### textRect

public Rectangle textRect
Text rectangle.

### acceleratorRect

public Rectangle acceleratorRect
Accelerator rectangle.

### arrowIconRect

public Rectangle arrowIconRect
Arrow icon rectangle.

### text

public String text
Menu item text.

## Constructor Details

### MenuLayoutInfo

public MenuLayoutInfo()